# Generated by Django 3.2.7 on 2021-09-28 08:43

import bootstrap_grid_builder.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('cms', '0022_auto_20180620_1551'),
    ]

    operations = [
        migrations.CreateModel(
            name='BaseStructurePluginModel',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='bootstrap_grid_builder_basestructurepluginmodel', serialize=False, to='cms.cmsplugin')),
                ('variant_class', models.CharField(choices=[('div', 'div'), ('article', 'article'), ('section', 'section'), ('header', 'header'), ('footer', 'footer'), ('aside', 'aside')], default='div', max_length=64, verbose_name='Variant Class')),
            ],
            options={
                'verbose_name': 'Base Structure Plugin',
                'verbose_name_plural': 'Base Structure Plugins',
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='GridColPluginModel',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='bootstrap_grid_builder_gridcolpluginmodel', serialize=False, to='cms.cmsplugin')),
                ('cols', bootstrap_grid_builder.fields.ColClassPrefixField(choices=[('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6'), ('7', '7'), ('8', '8'), ('9', '9'), ('10', '10'), ('11', '11'), ('12', '12'), ('auto', 'Auto'), (None, 'No Definition')], default='12', help_text='Default', max_length=64, null=True, verbose_name='Base column Class')),
                ('cols_sm', bootstrap_grid_builder.fields.ColSMClassPrefixField(choices=[('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6'), ('7', '7'), ('8', '8'), ('9', '9'), ('10', '10'), ('11', '11'), ('12', '12'), ('auto', 'Auto'), (None, 'No Definition')], default='12', help_text='>= 576px', max_length=64, null=True, verbose_name='Column sm Class')),
                ('cols_md', bootstrap_grid_builder.fields.ColMDClassPrefixField(choices=[('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6'), ('7', '7'), ('8', '8'), ('9', '9'), ('10', '10'), ('11', '11'), ('12', '12'), ('auto', 'Auto'), (None, 'No Definition')], default='12', help_text='>= 768px', max_length=64, null=True, verbose_name='Column md Class')),
                ('cols_lg', bootstrap_grid_builder.fields.ColLGClassPrefixField(choices=[('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6'), ('7', '7'), ('8', '8'), ('9', '9'), ('10', '10'), ('11', '11'), ('12', '12'), ('auto', 'Auto'), (None, 'No Definition')], default='12', help_text='>= 992px', max_length=64, null=True, verbose_name='Column lg Class')),
                ('cols_xl', bootstrap_grid_builder.fields.ColXLClassPrefixField(choices=[('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6'), ('7', '7'), ('8', '8'), ('9', '9'), ('10', '10'), ('11', '11'), ('12', '12'), ('auto', 'Auto'), (None, 'No Definition')], default='12', help_text='>= 1200px', max_length=64, null=True, verbose_name='Column xl Class')),
            ],
            options={
                'verbose_name': 'Grid Column Plugin',
                'verbose_name_plural': 'Grid Column Plugins',
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='GridContainerPluginModel',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='bootstrap_grid_builder_gridcontainerpluginmodel', serialize=False, to='cms.cmsplugin')),
                ('variant_class', models.CharField(choices=[('no-container', 'No container only for bg'), ('container', 'Boxed'), ('container-sm', 'Fluid until sm'), ('container-md', 'Fluid until md'), ('container-lg', 'Fluid until lg'), ('container-xl', 'Fluid until xl'), ('container-fluid', 'Totally fluid')], max_length=64, verbose_name='Variant Class')),
                ('tag_type', models.CharField(blank=True, choices=[('section', 'Section'), ('div', 'Div')], default='', max_length=64, verbose_name='Tag Type')),
            ],
            options={
                'verbose_name': 'Grid Container Plugin',
                'verbose_name_plural': 'Grid Container Plugins',
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='GridRowPluginModel',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='bootstrap_grid_builder_gridrowpluginmodel', serialize=False, to='cms.cmsplugin')),
                ('variant', bootstrap_grid_builder.fields.ClassGridRowPrefixField(blank=True, choices=[('start', 'Align left'), ('center', 'Align center'), ('end', 'Align right'), ('around', 'Align around'), ('between', 'Align between')], max_length=64, null=True, verbose_name='Variant Class')),
            ],
            options={
                'verbose_name': 'Grid Row Plugin',
                'verbose_name_plural': 'Grid Row Plugins',
            },
            bases=('cms.cmsplugin',),
        ),
    ]
